package com.cim.idm.wmspackage.materialpacking.management.data;

import com.cim.idm.framework.orm.info.access.FieldAccessor;
//
//public class MaterialPackingStockInfo extends FieldAccessor{
//	private String materialSpecName;
//	private String erpLocation;
//	private String erpFactory;
//	private String charge;
//	private String okQuantity;
//	private String ngQuantity;
//	private String preOqaQuantity;
//	
//	
//	
//	//ERP升级新增回传字段 
//	private String specialFlag;
//	private String supplierName;
//	private String posID;
//	private String materialPackingName;
//	private String materialQuantity;
//	private String stockState;
//	private String holdState;
//
//    public String getPosID() {
//        return posID;
//    }
//
//    public void setPosID(String posID) {
//        this.posID = posID;
//    }
//    
//    
//    
//	
//	public String getMaterialSpecName() {
//		return materialSpecName;
//	}
//	public void setMaterialSpecName(String materialSpecName) {
//		this.materialSpecName = materialSpecName;
//	}
//	public String getErpLocation() {
//		return erpLocation;
//	}
//	public void setErpLocation(String erpLocation) {
//		this.erpLocation = erpLocation;
//	}
//	public String getErpFactory() {
//		return erpFactory;
//	}
//	public void setErpFactory(String erpFactory) {
//		this.erpFactory = erpFactory;
//	}
//	public String getCharge() {
//		return charge;
//	}
//	public void setCharge(String charge) {
//		this.charge = charge;
//	}
//	public String getOkQuantity() {
//		return okQuantity;
//	}
//	public void setOkQuantity(String okQuantity) {
//		this.okQuantity = okQuantity;
//	}
//	public String getNgQuantity() {
//		return ngQuantity;
//	}
//	public void setNgQuantity(String ngQuantity) {
//		this.ngQuantity = ngQuantity;
//	}
//	public String getPreOqaQuantity() {
//		return preOqaQuantity;
//	}
//	public void setPreOqaQuantity(String preOqaQuantity) {
//		this.preOqaQuantity = preOqaQuantity;
//	}
//	
//}

// copy from mwms-server (old)
public class MaterialPackingStockInfo extends FieldAccessor{
	private String materialSpecName;
	private String erpLocation;
	private String erpFactory;
	private String charge;
	private String okQuantity;
	private String ngQuantity;
	private String preOqaQuantity;
	//ERP升级新增回传字段 
	private String specialFlag;
	private String supplierName;
	private String posID;
	private String materialPackingName;
	private String materialQuantity;
	private String stockState;
	private String holdState;
	
	
	
	public String getMaterialPackingName() {
		return materialPackingName;
	}
	public void setMaterialPackingName(String materialPackingName) {
		this.materialPackingName = materialPackingName;
	}
	public String getMaterialQuantity() {
		return materialQuantity;
	}
	public void setMaterialQuantity(String materialQuantity) {
		this.materialQuantity = materialQuantity;
	}
	public String getStockState() {
		return stockState;
	}
	public void setStockState(String stockState) {
		this.stockState = stockState;
	}
	public String getHoldState() {
		return holdState;
	}
	public void setHoldState(String holdState) {
		this.holdState = holdState;
	}
	public String getSpecialFlag() {
		return specialFlag;
	}
	public void setSpecialFlag(String specialFlag) {
		this.specialFlag = specialFlag;
	}
	public String getSupplierName() {
		return supplierName;
	}
	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}
	public String getPosID() {
		return posID;
	}
	public void setPosID(String posID) {
		this.posID = posID;
	}

	public String getMaterialSpecName() {
		return materialSpecName;
	}
	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}
	public String getErpLocation() {
		return erpLocation;
	}
	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}
	public String getErpFactory() {
		return erpFactory;
	}
	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}
	public String getCharge() {
		return charge;
	}
	public void setCharge(String charge) {
		this.charge = charge;
	}
	public String getOkQuantity() {
		return okQuantity;
	}
	public void setOkQuantity(String okQuantity) {
		this.okQuantity = okQuantity;
	}
	public String getNgQuantity() {
		return ngQuantity;
	}
	public void setNgQuantity(String ngQuantity) {
		this.ngQuantity = ngQuantity;
	}
	public String getPreOqaQuantity() {
		return preOqaQuantity;
	}
	public void setPreOqaQuantity(String preOqaQuantity) {
		this.preOqaQuantity = preOqaQuantity;
	}
	
}
